﻿@model IEnumerable<OperationalRiskException.Core.ViewModels.ScoreVM>
@{
    ViewBag.Title = "Dashboard";
    Layout = "~/Views/Shared/_LayoutProcessor.cshtml";
}


<div class="row">
    <div class="col-md-12 grid-margin">
        <div class="d-flex justify-content-between flex-wrap">
            <div class="d-flex align-items-end flex-wrap">
                <div class="d-flex">
                    <i class="mdi mdi-home text-muted hover-cursor"></i>
                    <p class="text-muted mb-0 hover-cursor">&nbsp;/&nbsp;  Dashboard &nbsp;/&nbsp;</p>
                    <p class="text-primary mb-0 hover-cursor">Operational</p>
                </div>
            </div>

        </div>
    </div>
</div>


<div class="row">
    <div class="col-md-12 grid-margin stretch-card">
        <div class="card tablecontainer">
            <div class="card-body">
                <h4 class="card-title"></h4>
                <p class="card-description">
                    List of Users
                </p>
                <div class="table-responsive pt-3">
                    <table class="table table-bordered" id="myTable">
                        <thead>
                            <tr>

                                <th>
                                    Username
                                </th>
                                <th>
                                    Department
                                </th>
                                <th>
                                    Total Question(s) (TQ)
                                </th>
                                <th>
                                    Number of Exception(s) (Ex)
                                </th>
                                <th>
                                    <span title="(5 X Ex)/(5 X TQ) X 100"> Risk  Scores(%)</span>
                                  
                                </th>

                                <th>
                                    <span title="Low Risk= Below 40%.   Medium Risk = 40% -60%.   High Risk= Above 60% ">   Risk Level </span>
                                </th>
                              

                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var items in Model)
                            {
                            <tr>
                                <td>
                                    @items.Username
                                </td>
                                <td>
                                    @items.Department
                                </td>

                                <td>
                                    @items.TotalScore
                                </td>
                                <td>
                                    @items.ScoreNo
                                </td>
                                <td>

                                    @items.Risk
                                </td>
                                <td>
                                    @{ if (@items.Risk > 60)
                                        {
                                            <span class="badge badge-outline-danger">High Risk</span>
                                        }
                                        else if (@items.Risk > 40 && @items.Risk < 60)
                                        {
                                            <span class="badge badge-outline-warning">Medium Risk</span>
                                        }
                                        else
                                        {
                                            <span class="badge badge-outline-success">low Risk</span>
                                        }

                                    }
                                </td>
                                <td>
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-">View</button>
                                        <button type="button" class="btn btn-danger dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <span class="sr-only">Dropdown</span>
                                        </button>
                                        <div class="dropdown-menu">
                               
                                            <a class="dropdown-item" href="@Url.Action("UserScript", "OperationalRisk")?userId=@items.UserId&SetupId=@items.AssessmentSetupId">Assessment Result</a>
                                            <a class="dropdown-item" href="@Url.Action("UserCorrectivePlan", "OperationalRisk")?userId=@items.UserId&SetupId=@items.AssessmentSetupId">Corrective Plan</a>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function () {
        $("#myTable").DataTable();
    })
   /* $(document).ready(function () {
        var oTable = $("#myTable").DataTable({
            "processing": true, // for show progress bar
            "serverSide": true, // for process server side
            "filter": true, // this is for disable filter (search box)
            "orderMulti": false, // for disable multiple column at once
            columns: [

                { 'data': 'Username' },
                { 'data': 'Department' },
                {
                    "data": "Id", orderable: false, "width": "50px", "render": function (data) {
                        return '<a class="" href="*/@Url.Action("UserUpdate","Account")/*/' + data + '"> 232</a>';
                    }
                }
            ],

            "delay": 150,
            "ajax": {
                "url": '*/@Url.Action("GetAllUsers","Account")/*',
                "type": "POST",
                "datatype": "json"
            }
        })
    });*/




</script>


